aboutsummaryrefslogtreecommitdiff
path: root/src/cpt-remove
diff options
context:
space:
mode:
Diffstat (limited to 'src/cpt-remove')
-rwxr-xr-xsrc/cpt-remove33
1 files changed, 33 insertions, 0 deletions
diff --git a/src/cpt-remove b/src/cpt-remove
new file mode 100755
index 0000000..b36e403
--- /dev/null
+++ b/src/cpt-remove
@@ -0,0 +1,33 @@
+#!/bin/sh -ef
+# Remove a package
+
+# shellcheck disable=1091
+if command -v cpt-lib >/dev/null; then . cpt-lib; else . ./cpt-lib; fi
+
+while [ "$1" ]; do
+ case "$1" in
+ --help|-h)
+ out "usage: ${0##*/} [options] [pkg...]" "" \
+ " Options:" \
+ " --force Force Removal" \
+ " --root [rootdir] Use an alternate root directory" ""
+ exit 1
+ ;;
+ --version|-v) version ;;
+ --force) export CPT_FORCE=1; shift ;;
+ --root) export CPT_ROOT=$2; shift 2 ;;
+ --) break ;;
+ -*) die "Unknown argument '$1'" ;;
+ *) break ;;
+ esac
+done
+
+[ "$1" ] || set -- "${PWD##*/}"; export CPT_PATH=${PWD%/*}:$CPT_PATH
+
+[ -w "$CPT_ROOT/" ] || [ "$uid" = 0 ] || {
+ as_root "$0" "$@"
+ exit $?
+}
+
+pkg_order "$@"
+for pkg in $redro; do pkg_remove "$pkg" "${CPT_FORCE:-check}"; done